Dist::Zilla::Role::File(3pm)

NAME
Dist::Zilla::Role::File - something that can act like a file

VERSION
version 6.037

DESCRIPTION
This role describes a file that may be written into the shipped distribution.

PERL VERSION
This module should work on any version of perl still receiving updates from the Perl 5 Porters. This means it should work on any version of perl released in the last two to three years. (That is, if the most recently released version is v5.40, then this module should work on both v5.40 and v5.38.)

Although it may work on older versions of perl, no guarantee is made that the minimum required version will not be increased. The version may be increased for any reason, and there is no promise that patches will be accepted to lower the minimum required perl.

ATTRIBUTES

  name
This is the name of the file to be written out.

  added_by
This is a list of strings describing when and why the file was added to the distribution and when it was updated (its content, filename, or other attributes). It will generally be updated by a plugin implementing the FileMunger role. Its accessor will return the list of strings, concatenated with '; '.

  mode
This is the mode with which the file should be written out. It's an integer with the usual "chmod" semantics. It defaults to 0644.

METHODS

  is_bytes
Returns true if the "encoding" is bytes. When true, accessing "content" will be an error.

AUTHOR
Ricardo SIGNES 😏 <cpan@semiotic.systems>

COPYRIGHT AND LICENSE
This software is copyright (c) 2026 by Ricardo SIGNES.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.